package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.bopdecbo.Dba;
import com.brilliance.isc.bo.bopdecbo.Dbg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbgMapper {
    int insert(Dbg record);

    int insertSelective(Dbg record);

    int updateByPrimaryKeySelective(Dbg record);

    int updateByPrimaryKey(Dbg record);

    int deleteByPrimaryKey(Dbg record);

    int deleteByIds(Collection<Object> collection);

    Dbg selectByPrimaryKey(Dbg record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbg> dyncRead(Map<String,Object> dyncMap);

    List<Dbg> selectByConditions(Dbg dbl);

    Dbg selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbg selectByTmpref(@Param("tmpref")String tmpref);

}
